org.eclipse.actf.model.ui.editor.browser

## Interface IWebBrowserNavigationEventListener

All Known Implementing Classes:
  DefaultWebBrowserNavigationEventListener

    public interface IWebBrowserNavigationEventListener

Interface to handle `WebBrowserNavigationEvent`.

See Also:
  `WebBrowserNavigationEvent`, `DefaultWebBrowserNavigationEventListener`

### Method Summary

Methods
`void` `goBack(WebBrowserNavigationEvent e)` This method is called when user selects goBack navigation
`void` `goForward(WebBrowserNavigationEvent e)` This method is called when user selects goForward navigation
`void` `refresh(WebBrowserNavigationEvent e)` This method is called when user selects refresh navigation
`void` `stop(WebBrowserNavigationEvent e)` This method is called when user selects stop navigation

### Method Detail

#### goBack

    void goBack(WebBrowserNavigationEvent e)

This method is called when user selects goBack navigation

Parameters:
  `e` - event information including target `IWebBrowserACTF` to handle this event

#### goForward

    void goForward(WebBrowserNavigationEvent e)

This method is called when user selects goForward navigation

Parameters:
  `e` - event information including target `IWebBrowserACTF` to handle this event

#### refresh

    void refresh(WebBrowserNavigationEvent e)

This method is called when user selects refresh navigation

Parameters:
  `e` - event information including target `IWebBrowserACTF` to handle this event

#### stop

    void stop(WebBrowserNavigationEvent e)

This method is called when user selects stop navigation

Parameters:
  `e` - event information including target `IWebBrowserACTF` to handle this event